Runtime

## org.eclipse.gmf.runtime.emf.ui.services.action
Class AbstractModelActionFilterProvider

    java.lang.Object
      org.eclipse.gmf.runtime.common.core.service.AbstractProvider
          org.eclipse.gmf.runtime.common.ui.services.action.filter.AbstractActionFilterProvider
              org.eclipse.gmf.runtime.emf.ui.services.action.AbstractModelActionFilterProvider

All Implemented Interfaces:
  IProvider, org.eclipse.gmf.runtime.common.ui.services.action.internal.filter.IActionFilterProvider, IActionFilter

    public abstract class AbstractModelActionFilterProvider

extends AbstractActionFilterProvider

The parent of all model action filter providers. Defines behavior to wrap queries on this provider in read actions.

Field Summary

Fields inherited from class org.eclipse.gmf.runtime.common.ui.services.action.filter.AbstractActionFilterProvider
`ENABLEMENT_VALUE, VISIBILITY_VALUE`

Constructor Summary
`protected` `AbstractModelActionFilterProvider()` Constructs a new model action filter provider.

Method Summary
`protected abstract boolean` `doProvides(IOperation operation)` Actually does the work of determining whether this provider provides the specified operation.
`protected abstract boolean` `doTestAttribute(java.lang.Object target, java.lang.String name, java.lang.String value)` Actually does the work of determining whether the specific attribute matches the state of the target object.
`protected org.eclipse.emf.transaction.TransactionalEditingDomain` `getEditingDomain(java.lang.Object target)` Determines the editing domain from the target object.
`protected boolean` `getResult()` Retrieves the value of the `result` instance variable.
`boolean` `provides(IOperation operation)` Tests whether this provider provides the specified operation, as a read action.
`protected void` `setResult(boolean result)` Sets the `result` instance variable to the specified value.
`boolean` `testAttribute(java.lang.Object target, java.lang.String name, java.lang.String value)` Tests whether the specific attribute matches the state of the target object, as a read action.

Methods inherited from class org.eclipse.gmf.runtime.common.ui.services.action.filter.AbstractActionFilterProvider
`getSelection, getStructuredSelection`

Methods inherited from class org.eclipse.gmf.runtime.common.core.service.AbstractProvider
`addProviderChangeListener, fireProviderChange, removeProviderChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.gmf.runtime.common.core.service.IProvider
`addProviderChangeListener, removeProviderChangeListener`

Constructor Detail

### AbstractModelActionFilterProvider

    protected AbstractModelActionFilterProvider()

  Constructs a new model action filter provider.

Method Detail

### getResult

    protected final boolean getResult()

  Retrieves the value of the `result` instance variable.

  Returns:
    The value of the `result` instance variable.

### setResult

    protected final void setResult(boolean result)

  Sets the `result` instance variable to the specified value.

  Parameters:
    `result` - The new value for the `result` instance variable.

### doTestAttribute

    protected abstract boolean doTestAttribute(java.lang.Object target,
                                               java.lang.String name,
                                               java.lang.String value)

  Actually does the work of determining whether the specific attribute matches the state of the target object.

  Parameters:
    `target` - The target object.
    `name` - The attribute name.
    `value` - The attriute value.
  Returns:
    `true` if the attribute matches; `false` otherwise.

### doProvides

    protected abstract boolean doProvides(IOperation operation)

  Actually does the work of determining whether this provider provides the specified operation.

  Parameters:
    `operation` - The operation in question.
  Returns:
    `true` if this provider provides the operation; `false` otherwise.

### testAttribute

    public final boolean testAttribute(java.lang.Object target,
                                       java.lang.String name,
                                       java.lang.String value)

  Tests whether the specific attribute matches the state of the target object, as a read action.

  Parameters:
    `target` - The target object.
    `name` - The attribute name.
    `value` - The attriute value.
  Returns:
    `true` if the attribute matches; `false` otherwise.
  See Also:
    `IActionFilter.testAttribute(Object, String, String)`

### provides

    public final boolean provides(IOperation operation)

  Tests whether this provider provides the specified operation, as a read action.

  Parameters:
    `operation` - The operation in question.
  Returns:
    `true` if this provider provides the operation; `false` otherwise.
  See Also:
    `IProvider.provides(IOperation)`

### getEditingDomain

    protected org.eclipse.emf.transaction.TransactionalEditingDomain getEditingDomain(java.lang.Object target)

  Determines the editing domain from the target object.

  Parameters:
    `target` - the target object
  Returns:
    the editing domain

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.